var fs = require('fs');
var path = require('path');
var travel = require('./travel');

function copy(src, dist, cb) {
    if (fs.existsSync(src)) {
        travel(src, function (file, parentFile, pathname, isDirectory) {
            var distPath = path.join(dist, parentFile || '', file);
            if (isDirectory) {
                if (!fs.existsSync(distPath)) {
                    fs.mkdirSync(distPath);
                }
            } else {
                var stream = fs.readFileSync(pathname);
                if (cb) {
                    stream = cb(file, stream)
                }
                fs.writeFileSync(distPath, stream);
            }
            console.log('create', isDirectory ? 'directory' : 'file', distPath)
        })
    }
}

module.exports = copy;
