const path = require('path')
const metadata = require('read-metadata')
const exists = require('fs').existsSync

/**
 * Gets the metadata from either a meta.json file.
 *
 * @param  {String} dir
 * @return {Object}
 */

function options(dir) {
    const js = path.join(dir, 'meta.js')
    let opts = {}

    if (exists(js)) {
        const req = require(path.resolve(js))
        if (req !== Object(req)) {
            throw new Error('meta.js needs to expose an object')
        }
        opts = req
    }

    return opts
}

module.exports = options
